INTERFACE
SUBROUTINE CVARGPAD(CDSELECT,KSCALE,PSP3,PSP2,PSP1,PGP3,PGP2)
USE PARKIND1 ,ONLY : JPIM ,JPRB
CHARACTER(LEN=1) ,INTENT(IN) :: CDSELECT
INTEGER(KIND=JPIM),INTENT(IN) :: KSCALE
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP3(:,:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP2(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP1(:,:)
REAL(KIND=JPRB) ,INTENT(INOUT), OPTIONAL :: PGP3(:,:,:)
REAL(KIND=JPRB) ,INTENT(INOUT), OPTIONAL :: PGP2(:,:,:)
END SUBROUTINE CVARGPAD
END INTERFACE
